Bug 1576474 - PXEboot fails on SuperMicro X11SSH-LN4F motherboard
Summary: PXEboot fails on SuperMicro X11SSH-LN4F motherboard
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: syslinux
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 14:41 UTC by Anders Blomdell
Modified: 2019-05-28 20:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:10:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Anders Blomdell 2018-05-09 14:41:01 UTC
Description of problem:

PXEboot on a SuperMicro X11SSH-LN4F motherboard fails to install
Fedora 28 (and Fedora-27, Fedora-26 works OK)

Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1. Try to PXEboot system
2.
3.

Actual results:

  Loading Fedora-28-x86_64/vmlinuz... ok
  Loading Fedora-28-x86_64/initrd.img
  # Machine reboots without warning/error message

Expected results:

  Loading Fedora-28-x86_64/vmlinuz... ok
  Loading Fedora-28-x86_64/initrd.img...ok
  [    0.000000] Linux version 4.16.3-301.fc28.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) 
                 (gcc version 8.0.1 20180324 (Red Hat 8.0.1-0.20) (GCC)) #1 SMP Mon Apr 23 21:59:58 UTC 2018
  [    0.000000] Command line: BOOT_IMAGE=Fedora-28-x86_64/vmlinuz initrd=Fedora-28-x86_64/initrd.img 
  ...
  # System installed

Additional info:

  Trimming down the initrd size solved the problem, this is what I 
  did (I know that I do not depend on ceph at installation):

    $ mkdir img
    $ cd img
    $ xzcat ../initrd.img | cpio -idmu
    $ rm -rf usr/lib64/ceph
    $ find . -print0 | cpio -0 -H newc -o | xz --check=crc32 -e > ../initrd.stripped.img


This bug report is mostly a hint to others on what to do if they encounter the same problem.

Comment 1 Ben Cotton 2019-05-02 19:16:45 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 21:49:00 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 20:10:02 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.